KDE 4.3 PyKDE API Reference

- KDE's Python API

# GeoDataLineStringPrivate Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataGeometryPrivate
Namespace: Marble

## Detailed Description

## Attributes

bool | m_dirtyBox
bool | m_dirtyRange
Marble.GeoDataLatLonAltBox | m_latLonAltBox
QVector<Marble::GeoDataLineString | m_rangeCorrected
Marble.TessellationFlags | m_tessellationFlags
QVector<Marble::GeoDataCoordinates> | m_vector

## Methods

| __init__ (self, Marble.TessellationFlags f)
| __init__ (self)
Marble.GeoDataGeometryPrivate | copy (self)
Marble.GeoDataCoordinates | findDateLine (self, Marble.GeoDataCoordinates previousCoords, Marble.GeoDataCoordinates currentCoords, int recursionCounter)
EnumGeometryId | geometryId (self)
| interpolateDateLine (self, Marble.GeoDataCoordinates previousCoords, Marble.GeoDataCoordinates currentCoords, Marble.GeoDataCoordinates previousAtDateline, Marble.GeoDataCoordinates currentAtDateline, Marble.TessellationFlags f)
| toDateLineCorrected (self, Marble.GeoDataLineString q, QVector<Marble::GeoDataLineString lineStrings)
| toPoleCorrected (self, Marble.GeoDataLineString q, Marble.GeoDataLineString poleCorrected)

## Method Documentation

__init__ | ( | self, |
|  | Marble.TessellationFlags | f
| ) |  |  |

__init__ | ( |  | self ) |

Marble.GeoDataGeometryPrivate copy | ( |  | self ) |

Marble.GeoDataCoordinates findDateLine | ( | self, |
|  | Marble.GeoDataCoordinates | previousCoords,
|  | Marble.GeoDataCoordinates | currentCoords,
|  | int | recursionCounter
| ) |  |  |

EnumGeometryId geometryId | ( |  | self ) |

interpolateDateLine | ( | self, |
|  | Marble.GeoDataCoordinates | previousCoords,
|  | Marble.GeoDataCoordinates | currentCoords,
|  | Marble.GeoDataCoordinates | previousAtDateline,
|  | Marble.GeoDataCoordinates | currentAtDateline,
|  | Marble.TessellationFlags | f
| ) |  |  |

toDateLineCorrected | ( | self, |
|  | Marble.GeoDataLineString | q,
|  | QVector<Marble::GeoDataLineString | lineStrings
| ) |  |  |

toPoleCorrected | ( | self, |
|  | Marble.GeoDataLineString | q,
|  | Marble.GeoDataLineString | poleCorrected
| ) |  |  |

## Attribute Documentation

bool m_dirtyBox

bool m_dirtyRange

Marble.GeoDataLatLonAltBox m_latLonAltBox

QVector<Marble::GeoDataLineString m_rangeCorrected

Marble.TessellationFlags m_tessellationFlags

QVector<Marble::GeoDataCoordinates> m_vector